Canvas5StyleManager::StyleList Struct Reference

a structure use to store a list of styles More...

`#include <Canvas5StyleManager.hxx>`

## Public Member Functions

| StyleList ()
| constructor

## Public Attributes

std::vector< CharStyle > | m_fonts
| the fonts, the paragraph id and the link id
std::vector< std::pair< MWAWParagraph, int > > | m_paragraphs
| the paragraph list and the tab id

## Detailed Description

a structure use to store a list of styles

## Constructor & Destructor Documentation

## StyleList()

Canvas5StyleManager::StyleList::StyleList | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_fonts

std::vector<CharStyle> Canvas5StyleManager::StyleList::m_fonts

the fonts, the paragraph id and the link id

Referenced by Canvas5StyleManager::readParaStyle(), Canvas5Graph::sendText(), and StyleList().

## m_paragraphs

std::vector<std::pair<MWAWParagraph, int> > Canvas5StyleManager::StyleList::m_paragraphs

the paragraph list and the tab id

Referenced by Canvas5Graph::readDeR3(), Canvas5StyleManager::readParaStyle(), Canvas5Graph::sendText(), and StyleList().

The documentation for this struct was generated from the following file:

- Canvas5StyleManager.hxx